
From: Tom Duffy <tduffy@sun.com>

Fix some sparse warnings by making sure we have appropriate "extern"
declarations visible.

Signed-off-by: Tom Duffy <tduffy@sun.com>
Signed-off-by: Hal Rosenstock (<halr@voltaire.com>
Signed-off-by: Roland Dreier <roland@topspin.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/infiniband/core/agent.c    |    5 +----
 25-akpm/drivers/infiniband/core/cache.c    |    2 ++
 25-akpm/drivers/infiniband/core/mad_priv.h |    2 ++
 25-akpm/drivers/infiniband/core/smi.c      |    2 +-
 4 files changed, 6 insertions(+), 5 deletions(-)

diff -puN drivers/infiniband/core/agent.c~ib-sparse-fixes drivers/infiniband/core/agent.c
--- 25/drivers/infiniband/core/agent.c~ib-sparse-fixes	2005-03-02 21:50:35.000000000 -0800
+++ 25-akpm/drivers/infiniband/core/agent.c	2005-03-02 21:50:35.000000000 -0800
@@ -45,14 +45,11 @@
 #include "smi.h"
 #include "agent_priv.h"
 #include "mad_priv.h"
-
+#include "agent.h"
 
 spinlock_t ib_agent_port_list_lock;
 static LIST_HEAD(ib_agent_port_list);
 
-extern kmem_cache_t *ib_mad_cache;
-
-
 /*
  * Caller must hold ib_agent_port_list_lock
  */
diff -puN drivers/infiniband/core/cache.c~ib-sparse-fixes drivers/infiniband/core/cache.c
--- 25/drivers/infiniband/core/cache.c~ib-sparse-fixes	2005-03-02 21:50:35.000000000 -0800
+++ 25-akpm/drivers/infiniband/core/cache.c	2005-03-02 21:50:35.000000000 -0800
@@ -37,6 +37,8 @@
 #include <linux/errno.h>
 #include <linux/slab.h>
 
+#include <ib_cache.h>
+
 #include "core_priv.h"
 
 struct ib_pkey_cache {
diff -puN drivers/infiniband/core/mad_priv.h~ib-sparse-fixes drivers/infiniband/core/mad_priv.h
--- 25/drivers/infiniband/core/mad_priv.h~ib-sparse-fixes	2005-03-02 21:50:35.000000000 -0800
+++ 25-akpm/drivers/infiniband/core/mad_priv.h	2005-03-02 21:50:35.000000000 -0800
@@ -192,4 +192,6 @@ struct ib_mad_port_private {
 	struct ib_mad_qp_info qp_info[IB_MAD_QPS_CORE];
 };
 
+extern kmem_cache_t *ib_mad_cache;
+
 #endif	/* __IB_MAD_PRIV_H__ */
diff -puN drivers/infiniband/core/smi.c~ib-sparse-fixes drivers/infiniband/core/smi.c
--- 25/drivers/infiniband/core/smi.c~ib-sparse-fixes	2005-03-02 21:50:35.000000000 -0800
+++ 25-akpm/drivers/infiniband/core/smi.c	2005-03-02 21:50:35.000000000 -0800
@@ -37,7 +37,7 @@
  */
 
 #include <ib_smi.h>
-
+#include "smi.h"
 
 /*
  * Fixup a directed route SMP for sending
_
